# $Revision: 1.170.2.8 $, $Date: 2009/10/30 16:15:04 $
#
# Conditional build:
%bcond_with	allstatic	# link everything statically
%bcond_without	static		# link e2fsck dynamically with libc
%bcond_without	nls		# build without NLS
%bcond_with	initrd		# don't build initrd version
%bcond_without	uClibc		# link initrd version with static glibc instead of uClibc
#
%ifarch sparc64 sparc alpha ppc ppc64
%undefine       with_uClibc
%endif
#
Summary:	Utilities for managing the second extended (ext2) filesystem
Summary(cs.UTF-8):	Nástroje pro správu souborových systémů typu ext2
Summary(da.UTF-8):	Værktøjer til håndtering af ext2 filsystemer
Summary(de.UTF-8):	Dienstprogramme zum Verwalten des Second Extended-Dateisystems (ext2)
Summary(es.UTF-8):	Utilidades para la gestión de un sistema de ficheros ext2
Summary(fr.UTF-8):	Utilitaires pour la gestion du système de fichiers ext2
Summary(id.UTF-8):	Utility untuk management filesystem ext2
Summary(is.UTF-8):	Tól til að sýsla með ext2 skráarkerfið
Summary(it.UTF-8):	Utility per la gestione del filesystem (ext2)
Summary(ja.UTF-8):	Second Extended (ext2) ファイルシステムを管理するためのユーティリティ
Summary(ko.UTF-8):	ext2 파일 시스템을 관리하는 유틸리티
Summary(nb.UTF-8):	Verktøy for håndtering av ext2 filsystemet
Summary(pl.UTF-8):	Narzędzia do systemu plikowego ext2
Summary(pt.UTF-8):	Utilitários para gerir o sistema de ficheiros ext2
Summary(pt_BR.UTF-8):	Ferramentas para o sistema de arquivos ext2
Summary(ru.UTF-8):	Утилиты управления файловой системой ext2
Summary(sk.UTF-8):	Pomocné programy pre správu ext2 súborového systému
Summary(sl.UTF-8):	Pripomočki za upravljanje datotečnega sistema ext2
Summary(sv.UTF-8):	Verktyg för att hantera det andra utökade (ext2) filsystemet
Summary(tr.UTF-8):	ext2 dosya sistemi için araçlar
Summary(uk.UTF-8):	Утиліти для роботи з файловою системою ext2
Summary(zh_CN.UTF-8):	管理第二扩展（ext2）文件系统的工具。
Summary(zh_TW.UTF-8):	用於管理 ext2 檔案系統的工具程式。
Name:		e2fsprogs
Version:	1.41.9
Release:	1
License:	GPL v2 (with LGPL v2 and BSD parts)
Group:		Applications/System
Source0:	http://dl.sourceforge.net/e2fsprogs/%{name}-%{version}.tar.gz
# Source0-md5:	52f60a9e19a02f142f5546f1b5681927
Source1:	e2compr-0.4.texinfo.gz
# Source1-md5:	c3c59ff37e49d8759abb1ef95a8d3abf
Source2:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source2-md5:	992a37783bd42a897232972917e8ca7d
Patch0:		%{name}-info.patch
Patch1:		e2compr-info.patch
URL:		http://e2fsprogs.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	device-mapper-devel
BuildRequires:	gettext-devel >= 0.11
BuildRequires:	texinfo
%if %{with static}
BuildRequires:	device-mapper-static
BuildRequires:	glibc-static
BuildRequires:	libselinux-static
BuildRequires:	libsepol-static
%endif
%if %{with initrd}
	%if %{with uClibc}
		%ifarch ppc
BuildRequires:	uClibc-static >= 2:0.9.29
		%else
BuildRequires:	uClibc-static >= 2:0.9.26
		%endif
	%endif
%endif
Requires(post,postun):	/sbin/ldconfig
Requires:	fsck = %{version}-%{release}
Requires:	libcom_err = %{version}-%{release}
Requires:	libuuid = %{version}-%{release}
Obsoletes:	e2fsprogs-evms
Obsoletes:	libext2fs2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# changing CFLAGS in the middle confuses confcache
%undefine       configure_cache

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in second
extended (ext2) filesystems. e2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck),
tune2fs (used to modify filesystem parameters) and most of the other
core ext2fs filesystem utilities.

%description -l cs.UTF-8
Balíček e2fsprogs obsahuje několik programů pro vytváření, kontrolu
úpravy a opravy nekonzistencí v systémech souborů typu ext2 (second
extended filesystem). Balíček obsahuje program e2fsck (na opravy
nekonzistencí systémů souborů, které nebyly odpojeny při vypnutí
systému), mke2fs (pro vytvoření prázdného systému souborů typu ext2 v
diskovém oddílu), debugfs (pro kontrolu interní struktury systému
souborů, manuální opravu poškozeného systému souborů a pro vytváření
testovacích případů pro e2fsck), tune2fs (pro úpravu parametrů systému
souborů) a většinu dalších programů pro práci se systémy souborů typu
ext2fs.

%description -l da.UTF-8
e2fsprogs-pakken indeholder diverse værktøjer for at lave,
kontrollere, modificere og reparere ext2-filsystemer. e2fsprogs
indeholder e2fsck (bruges for at reparere filsystemer efter uren
nedlukning af systemet), mke2fs (bruges for at initialisere en
partition med et tomt ext2-filsystem), debugfs (bruges for at
undersøge de interne strukturer i filsystemet, for manuelt at kunne
reparere et ødelagt filsystem eller lave testscenarier for e2fsck),
tune2fs (bruges for at modificere filsystem-parametre) og flere andre
værktøjer for at ændre og undersøge ext2-filsystemer.

%description -l de.UTF-8
Das Paket e2fsprogs enthält eine Reihe von Dienstprogrammen zum
Anlegen, Überprüfen, Ändern und Reparieren von Inkonsistenzen in
Second Extended-Dateisystemen (ext2). e2fsprogs enthält: e2fsck (zum
Korrigieren von Inkonsistenzen im Dateisystem nach einem
Computerabsturz), mke2fs (zum Initialisieren einer Partition mit einem
leeren ext2-Dateisystem), debugfs (zum Überprüfen der internen
Struktur eines Dateisystems, zum manuellen Reparieren eines
beschädigten Dateisystems oder zum Erstellen von Testfällen für
e2fsck), tune2fs (zum Ändern der Dateisystemparameter) und die meisten
anderen wichtigen Dienstprogramme für ext2fs-Dateisystemem.

%description -l es.UTF-8
El paquete e2fsprogs contiene varias utilidades para crear, controlar,
modificar y corregir las inconsistencias en un sistema de ficheros
ext2. e2fsprogs contiene e2fsck (resuelve el problema de
inconsistencia después de haber apagado el ordenador de manera
incorrecta), mke2fs (inicializa una nueva partición para contener un
sistema de ficheros ext2 vacío), debugfs (examina la estructura
interna de un sistema de ficheros para reparar manualmente los errores
presentes en un sistema de ficheros o crear casos de prueba para
e2fsck), tune2fs (modifica los parámetros del sistema de ficheros) y
la mayoría de las utilidades principales del systema de ficheros
ext2fs.

%description -l fr.UTF-8
Le paquetage e2fsprogs contient plusieurs utilitaires permettant de
créer, vérifier, modifier et corriger des incohérences dans des
systèmes de fichiers de type ext2. e2fsprogs contient e2fsck
(réparation d'incohérences de système de fichiers après un arrêt
brutal), mke2fs (initialisation d'une partition devant contenir un
système de fichiers ext2 vide), debugfs (examen de la structure
interne d'un système de fichiers afin de réparer manuellement un
système de fichiers corrompu ou de créer des cas de test pour e2fsck),
tune2fs (modification des paramètres de systèmes de fichiers) et la
plupart des autres utilitaires clés pour les systèmes de fichiers
ext2fs.

%description -l id.UTF-8
Package e2fsprogs berisi beberapa utility untuk membuat, cek, merubah,
dan memperbaiki kerusakan, pada second extended (ext2) filesystem.
e2fsprogs berisi e2fsck (digunakan untuk memperbaiki filesystem
inconsistencies yang biasanya terjadi setelah unclean shutdown),
mke2fs (digunakan untuk membuat filesystem ext2 yang kosong), debugfs
(untuk memeriksa internal structure dari filesystem, dan secara manual
memperbaiki corrupted filesystem atau untuk membuat test cases untuk
e2fsck), tune2fs (untuk merubah parameter filesystem) dan kebanyakan
utility untuk filesystem ext2.

%description -l is.UTF-8
e2fsprogs pakkinn inniheldur nokkur forrit til að búa til, skoða,
breyta og laga allar villur í Linux skráarkerfinu (ext2). e2fsprogs
inniheldur e2fsck (notað til að laga villur í skráarkerfinu eftir
vonda enduruppkeyrslu), mke2fs (notað til að undirbúa harða disk töflu
til að innihalda tómt ext2 skráarkerfi), debugfs (notað til að skoða
innihald tóms ext2 skráarkerfis, til að handvirkt laga ónýtt
skráarkerfi eða til að undirbúa tilraunir fyrir e2fsck)m tune2fs(notað
til að breyta skráarkerfis möguleikum) og flest önnur ext2fs
skráarkerfis forritum

%description -l it.UTF-8
Il pacchetto e2fsprogs contiene varie utility per creare, controllare,
modificare e correggere le inconsistenze in un filesystem ext2.
e2fsprogs contiene e2fsck (risolve le inconsistenze di un filesystem
dopo un arresto non corretto del calcolatore), mke2fs (inizializza una
nuova partizione per un filesystem ext2 vuoto), debugfs (esamina la
struttura interna di un filesystem, è usato per riparare manualmente
gli errori presenti in un filesystem e per creare casi di test per
e2fsck), tune2fs (modifica i parametri del filesystem) e molte delle
utility principali per il filesystem ext2fs.

%description -l ja.UTF-8
e2fsprogs パッケージには Second Extended (ext2) ファイルシステムの
作成、検査、変更を行ったり、不整合を修復するためのユーティリティが
数多く含まれています。e2fsprogs には e2fsck (異常終了後にファイル
システムの不整合を修復する)、mke2fs (パーティションを初期化して空の
ext2 ファイルシステムを作成する)、debugfs (ファイルシステムの内部
構造を検査し、破損したファイルシステムを手動で修復したり、e2fsck
用のテストケースを作成する)、tune2fs (ファイルシステムのパラメータ
を変更する) のほか、主な ext2fs ファイルシステムユーティリティの
ほとんどが含まれます。

%description -l nb.UTF-8
e2fsprogs-pakken inneholder diverse verktøy for å lage, kontrollere,
modifisere og reparere ext2-filsystemer. e2fsprogs inneholder e2fsck
(brukes for å reparere filsystemer etter uren nedkjøring av systemet),
mke2fs (brukes for å initialisere en partisjon med et tomt
ext2-filsystem), debugfs (brukes for å undersøke de interne
strukturene i filsystemet, for manuelt å kunne reparere et ødelagt
filsystem eller lage testscenarier for e2fsck), tune2fs (brukes for å
modifisere filsystem-parametre) og flere andre verktøy for å endre og
undersøke ext2-filsystemer.

%description -l pl.UTF-8
Pakiet ten zawiera narzędzia do tworzenia, sprawdzania i naprawiania
wolumenów dyskowych z systemem plikowym ext2. e2fsprogs zawiera e2fsck
(używany do naprawiania niespójności w systemie plikowym po
niepoprawnym zamknięciu systemu), mke2fs (używany do inicjacji
wolumenów ext2), debugfs (używany do sprawdzania wewnętrznej struktury
wolumenów ext2, a także do ręcznego naprawiania błędów), tune2fs
(używany do modyfikacji parametrów wolumenów ext2) i kilka innych
narzędzi do ext2.

%description -l pt.UTF-8
O pacote e2fsprogs contém uma quantidade de utilitários para criar,
verificar, modificar e corrigir algumas inconsistências no sistema de
ficheiros ext2. O e2fsprogs contém o e2fsck (usado para reparar as
inconsistências do sistema de ficheiros depois duma terminação
forçada), o mke2fs (usado para inicializar uma partição para esta
conter um sistema de ficheiros ext2 vazio), o debugfs (usado para
examinar a estrutura interna dum sistema de ficheiros, para reparar
manualmente um sistema de ficheiros corrompido ou para criar situações
de teste para o e2fsck), o tune2fs (usado para modificar os parâmetros
do sistema de ficheiros) e a maioria dos outros utilitários de base do
sistema de ficheiros ext2.

%description -l pt_BR.UTF-8
Este pacote inclui vários utilitários para criação, checagem e reparo
de sistema de arquivos ext2.

%description -l ru.UTF-8
Пакет e2fsprogs содержит утилиты для создания, проверки, изменения и
корректировки внутреннего состояния файловой системы ext2. e2fsprogs
содержит e2fsck (для восстановления файловой структуры после
некорректного завершения работы), mke2fs (для инициализации раздела
при создании пустой файловой системы ext2), debugfs (просмотр
внутренней структуры файловой системы для ручного восстановления
поврежденной файловой системы или создания тестовых ситуаций для
e2fsck), tune2fs (для изменения параметров файловой системы) и
множество других утилит для файловой системы ext2.

%description -l sk.UTF-8
Balík e2fsprogs obsahuje niekoľko programov pre vytváranie, kontrolu,
zmenu a opravu nekonzistencií na ext2 súborovom systéme. e2fsprogs
obsahuje e2fsck (pre opravu nekonzistentných údajov na súborovom
systéme po nečistom ukončení), mke2fs (pre vytvorenie prázdneho
súborového systému na diskovom oddieli), debugfs (pre skúmanie
vnútorných štruktúr súborového systému, jeho ručnú opravu alebo pre
vytvorenie testovacích prípadov pre e2fsck), tune2fs (pre modifikáciu
parametrov súborového systému) a väčšinu ďalších základných pomôcok
pre prácu s ext2fs.

%description -l sv.UTF-8
Paketet e2fsprogs innehåller ett antal verktyg för att skapa,
kontrollera, modifiera och rätta felaktigheter i det andra utökade
(ext2) filsystemet. e2fsprogs innehåller e2fsck (används för att
reparera felaktigheter efter en oren avstängning), mke2fs (används för
att initiera en partition att innehålla ett tomt ext2-filsystem),
debugfs (används för att undersöka den interna strukturen i ett
filsystem, manuellt reparera trasiga filsystem eller skapa testfall
för e2fsck), tune2fs (används för att modifiera filsystemparametrar)
och de flesta andra basverktygen för filsystemet ext2fs.

%description -l tr.UTF-8
Bu paket, ext2 dosya sistemlerini yaratmak, onarmak, kontrol etmek ve
bazı parametrelerini değiştirmek için gerekli yazılımları içerir.

%description -l uk.UTF-8
Пакет e2fsprogs містить набір утиліт для створення, перевірки,
модифікації та виправлення будь-яких помилок у файловій системі ext2.
e2fsprogs містить e2fsck (використовується для виправлення помилок
після "брудної" зупинки машини), mke2fs (для ініциалізації розділу та
створення порожньої файлової системи ext2), debugfs (для вивчення
внутрішньої структури файлової системи, ручного ремонту пошкодженої
файлової системи або для створення тестів для e2fsck), tune2fs (для
модифікації параметрів файлової системи) та більшість інших базових
утиліт для ext2fs.

%description -l zh_CN.UTF-8
e2fsprogs 软件包包含一些实用程序，用于创建、检查、 修改和纠正辅助扩展
(ext2) 文件系统中的任何不统一之处。 e2fsprogs 包含
e2fsck（用于在非正常关机后修复文件系统的不统一之处）、
mke2fs（用于将分区初始化为包含空白ext2 文件系统）、
debugfs（用于检查文件系统的内部结构、手动修复被破坏的文件系统或为e2fsck
创建测试范例）、 tune2fs（用于修改文件系统参数）和其它大多数核心
ext2fs 文件系统实用程序。

%package libs
Summary:	ext2 filesystem-specific libraries
Group:		Libraries
Conflicts:	%{name} < 1.40.4-5
Conflicts:	fsck < 1.40.4-5

%description libs
ext2 filesystem-specific libraries.

%package devel
Summary:	ext2 filesystem-specific libraries and headers
Summary(cs.UTF-8):	Knihovny a hlavičkové soubory pro systém souborů ext2
Summary(da.UTF-8):	ext2 filsystemsspecifikke biblioteker og headerfiler
Summary(de.UTF-8):	Bibliotheken und Header-Dateien für ext2-Dateisysteme
Summary(es.UTF-8):	Bibliotecas y archivos de inclusión para e2fs
Summary(fr.UTF-8):	Bibliothèques et en-têtes spécifiques au système de fichiers ext2
Summary(id.UTF-8):	Library dan file header untuk e2fsprogs
Summary(is.UTF-8):	Aðgerðasöfn og hausaskrár fyrir ext2 skráarkerfið
Summary(it.UTF-8):	Librerie e file header specifici per il filesystem ext2
Summary(ja.UTF-8):	ext2 ファイルシステムに固有の静的ライブラリとヘッダー
Summary(ko.UTF-8):	ext2 파일시스템-지정 정적 라이브러리와 헤더들
Summary(nb.UTF-8):	ext2 filsystemspesifikke bibliotek og headerfiler
Summary(pl.UTF-8):	Pliki nagłówkowe do bibliotek e2fs
Summary(pt.UTF-8):	Bibliotecas e ficheiros de inclusão específicos do sistema de ficheiros ext2
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para e2fs
Summary(ru.UTF-8):	Библиотеки и файлы заголовков для разработки программ, использующих ext2
Summary(sk.UTF-8):	Knižnice a hlavičkové súbory pre ext2-špecifické programy
Summary(sl.UTF-8):	Knjižnice in glave, specifične datotečnemu sistemu ext2
Summary(sv.UTF-8):	ext2 filsystemspecifika bibliotek och huvuden
Summary(uk.UTF-8):	Бібліотки програміста та хедери для роботи з ext2fs
Summary(zh_CN.UTF-8):	ext2 文件系统特有的静态库和头文件。
Summary(zh_TW.UTF-8):	ext2 檔案系統特定的靜態函式庫與表頭。
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libcom_err-devel = %{version}-%{release}
Requires:	libuuid-devel = %{version}-%{release}
Obsoletes:	libext2fs2-devel

%description devel
e2fsprogs-devel contains the libraries and header files needed to
develop second extended (ext2) filesystem-specific programs.

%description devel -l cs.UTF-8
Balíček e2fsprogs-devel obsahuje knihovny a hlavičkové soubory
potřebné pro vývoj programů pracujících se systémem souborů ext2
(second extended fs).

%description devel -l da.UTF-8
e2fsprogs-devel indeholder de headerfiler og biblioteker man behøver
for at udvikle programmer specielt rettet mod ext2-filsystemer.

%description devel -l de.UTF-8
Das Paket e2fsprogs-devel enthält die Bibliotheken und Header-Dateien,
die für die Entwicklung von Programmen für das Second
Extended-Dateisystem (ext2) erforderlich sind.

%description devel -l es.UTF-8
e2fsprogs-devel contiene las bibliotecas y los ficheros de cabecera
necesarios para desarrollar programas específicos para el sistema de
ficheros ext2.

%description devel -l fr.UTF-8
e2fsprogs-devel contient les bibliothèques et fichiers d'en-tête
nécessaires au développement de programmes spécifiques au système de
fichiers ext2.

%description devel -l id.UTF-8
e2fsprogs-devel berisi library dan file header yang dibutuhkan untuk
develop program yang berkaitan dengan filesystem ext2.

%description devel -l is.UTF-8
e2fsprogs-devel inniheldur library og header skrár sem þarf til að búa
til (ext2) skráarsafns forrit

%description devel -l it.UTF-8
e2fsprogs-devel contiene le librerie e i file header necessari per
sviluppare programmi specifici per il filesystem ext2.

%description devel -l ja.UTF-8
e2fspgrogs-devel には、Second Extended (ext2) ファイルシステムに固有
のプログラムを開発するために必要なライブラリとヘッダーファイルが含まれ
ています。

%description devel -l nb.UTF-8
e2fsprogs-devel inneholder de headerfiler og bibliotek man trenger for
å utvikle programmer spesielt rettet mot ext2-filsystemer.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja niezbędne do tworzenia programów
obsługujących e2fs.

%description devel -l pt.UTF-8
O pacote e2fsprogs-devel contém as bibliotecas e ficheiros de inclusão
necessários para desenvolver programas específicos do sistema de
ficheiros ext2.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de programas
específicos para sistema de arquivo ext2.

%description devel -l ru.UTF-8
e2fsprogs-devel содержит статические библиотеки и файлы заголовков,
необходимые при разработке программ, использующих файловую систему
ext2.

%description devel -l sk.UTF-8
e2fsprogs-devel obsahuje knižnice a hlavičkové súbory potrebné pre
vývoj programov pre ext2 súborový systém.

%description devel -l sv.UTF-8
e2fsprogs-devel innehåller bibliotek och huvudfiler som behövs för att
utveckla filsystemsspecifika program för det andra utökade (ext2)
filsystemet.

%description devel -l uk.UTF-8
e2fsprogs-devel містить бібліотеки та хедери, необхідні для написання
програм, які працюють з файловою системою ext2.

%description devel -l zh_CN.UTF-8
e2fsprogs-devel 包含开发辅助扩展 (ext2)
文件系统专用程序所需的程序库和头文件。

%package static
Summary:	ext2 filesystem-specific static libraries
Summary(cs.UTF-8):	Statické knihovny pro systém souborů ext2
Summary(da.UTF-8):	ext2 filsystemsspecifikke statiske biblioteker
Summary(de.UTF-8):	Statische Bibliotheken für ext2-Dateisysteme
Summary(es.UTF-8):	Bibliotecas estaticas para e2fs
Summary(fr.UTF-8):	Bibliothèques statiques spécifiques au système de fichiers ext2
Summary(it.UTF-8):	Librerie statiche specifici per il filesystem ext2
Summary(nb.UTF-8):	ext2 filsystemspesifikke statiske bibliotek
Summary(pl.UTF-8):	Biblioteki statyczne do obsługi systemu plików ext2
Summary(pt.UTF-8):	Bibliotecas estaticas específicos do sistema de ficheiros ext2
Summary(pt_BR.UTF-8):	Bibliotecas estaticas para e2fs
Summary(ru.UTF-8):	Статические библиотеки для разработки программ, использующих ext2
Summary(sk.UTF-8):	Statické knižnice a hlavičkové súbory pre ext2-špecifické programy
Summary(sv.UTF-8):	ext2 filsystemspecifika statiska bibliotek
Summary(uk.UTF-8):	Статичні бібліотки програміста для роботи з ext2fs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries needed to develop ext2 filesystem-specific programs
statically linked with e2progs libs.

%description static -l de.UTF-8
Libraries zur Entwicklung von ext2-Dateisystemspezifischen Programmen
erforderlich sind.

%description static -l es.UTF-8
Bibliotecas estaticas para desarrollo de programas específicos para
sistema de archivo ext2.

%description static -l pl.UTF-8
Biblioteki statyczne do obsługi e2fs niezbędne do kompilacji programów
statycznie skonsolidowanych (linkowanych) z bibliotekami do e2fs.

%description static -l pt_BR.UTF-8
Bibliotecas estaticas para desenvolvimento de programas específicos
para sistema de arquivo ext2.

%description static -l ru.UTF-8
e2fsprogs-devel-static содержит статические библиотеки, необходимые
для написания программ, работающих с файловой системой ext2.

%description static -l uk.UTF-8
e2fsprogs-devel-static містить статичні бібліотеки, необхідні для
написання програм, які працюють з файловою системою ext2.

%package -n libcom_err
Summary:	A Common Error Description Library for unices
Summary(pl.UTF-8):	Biblioteka opisu popularnych błędów dla uniksów
Group:		Libraries
Conflicts:	e2fsprogs < 1.34-3

%description -n libcom_err
A Common Error Description Library for unices.

%description -n libcom_err -l pl.UTF-8
Biblioteka opisu popularnych błędów dla uniksów.

%package -n libcom_err-devel
Summary:	Development files for Common Error Description Library for unices
Summary(pl.UTF-8):	Pliki dla programistów do biblioteki opisu popularnych błędów dla uniksów
Group:		Development/Libraries
Requires:	libcom_err = %{version}-%{release}
Conflicts:	e2fsprogs-devel < 1.34-3

%description -n libcom_err-devel
A Common Error Description Library for unices - development files.

%description -n libcom_err-devel -l pl.UTF-8
Biblioteka opisu popularnych błędów dla uniksów - pliki dla
programistów.

%package -n libcom_err-static
Summary:	Static version of Common Error Description Library for unices
Summary(pl.UTF-8):	Statyczna biblioteka opisu popularnych błędów dla uniksów
Group:		Development/Libraries
Requires:	libcom_err-devel = %{version}-%{release}
Conflicts:	e2fsprogs-static < 1.34-3

%description -n libcom_err-static
A Common Error Description Library for unices - static version.

%description -n libcom_err-static -l pl.UTF-8
Biblioteka opisu popularnych błędów dla uniksów - wersja statyczna.

%package -n libuuid
Summary:	Library for accessing and manipulating UUID
Summary(pl.UTF-8):	Biblioteka umożliwiająca dostęp i zmiany UUID
License:	BSD
Group:		Libraries
Conflicts:	e2fsprogs < 1.34-3

%description -n libuuid
Library for accessing and manipulating UUID.

%description -n libuuid -l pl.UTF-8
Biblioteka umożliwiająca dostęp i zmiany UUID.

%package -n libuuid-devel
Summary:	Header files for library for accessing and manipulating UUID
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki umożliwiającej dostęp i zmiany UUID
License:	BSD
Group:		Development/Libraries
Requires:	libuuid = %{version}-%{release}
Conflicts:	e2fsprogs-devel < 1.34-3

%description -n libuuid-devel
Library for accessing and manipulating UUID - development files.

%description -n libuuid-devel -l pl.UTF-8
Biblioteka umożliwiająca dostęp i zmiany UUID - pliki dla
programistów.

%package -n libuuid-static
Summary:	Static library for accessing and manipulating UUID
Summary(pl.UTF-8):	Statyczna biblioteka umożliwiająca dostęp i zmiany UUID
License:	BSD
Group:		Development/Libraries
Requires:	libuuid-devel = %{version}-%{release}
Conflicts:	e2fsprogs-static < 1.34-3

%description -n libuuid-static
Library for accessing and manipulating UUID - static version.

%description -n libuuid-static -l pl.UTF-8
Biblioteka umożliwiająca dostęp i zmiany UUID - wersja statyczna.

%package -n uuidd
Summary:	Helper daemon to guarantee uniqueness of time-based UUIDs
Summary(pl.UTF-8):	Pomocniczy demon gwarantujący unikalność UUID-ów opartych na czasie
License:	GPL v2
Group:		Daemons
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/groupmod
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	libuuid = %{version}-%{release}
Provides:	group(uuidd)
Provides:	user(uuidd)
Conflicts:	libuuid < 1.40.4-2

%description -n uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.

%description -n uuidd -l pl.UTF-8
Ten pakiet zawiera działającego w przestrzeni użytkownika demona
(uuidd) gwarantującego unikalność generowania UUID-ów opartych na
czasie nawet przy bardzo dużej częstotliwości na systemach SMP.

%package -n fsck
Summary:	Check and repair a Linux file system
Summary(pl.UTF-8):	Sprawdzenie i naprawa linuksowego systemu plików
Group:		Applications/System
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libuuid = %{version}-%{release}

%description -n fsck
Check and repair a Linux file system.

%description -n fsck -l pl.UTF-8
Sprawdzenie i naprawa linuksowego systemu plików.

%package initrd
Summary:	blkid - initrd version
Summary(pl.UTF-8):	blkid - wersja dla initrd
Group:		Base

%description initrd
This package includes a blkid utility to recognize partitions by label
or UUID - staticaly linked for initrd.

%description initrd -l pl.UTF-8
Pakiet ten zawiera narzędzie blkid do rozpoznawania partycji przez
etykietę lub UUID - statycznie skonsolidowane na potrzeby initrd.

%prep
%setup -q
#%%patch0 -p1
gunzip < %{SOURCE1} > doc/e2compr.texinfo
%patch1 -p1

sed -i -e "
	s,DEVMAPPER_REQ='libselinux libsepol',DEVMAPPER_REQ=,;
	s,DEVMAPPER_LIBS='-ldevmapper -lselinux -lsepol',DEVMAPPER_LIBS='-ldevmapper',;
	s,/usr/lib/libdevmapper.a /usr/lib/libselinux.a /usr/lib/libsepol.a,/usr/%{_lib}/libdevmapper.a /usr/%{_lib}/libselinux.a /usr/%{_lib}/libsepol.a," \
	-e '/AC_SUBST(DO_TEST_SUITE/a\MKINSTALLDIRS="install -d"\nAC_SUBST(MKINSTALLDIRS)\n' configure.in

%{!?with_static:sed '/^all:/s/e2fsck\.static//' -i e2fsck/Makefile.in}

# AX_TLS
tail -n +2604 aclocal.m4 > acinclude.m4

%build
cp -f /usr/share/automake/config.sub .
%{__gettextize}
%{__aclocal}
%{__autoconf}

%if %{with initrd}
%configure \
	%{?with_uClibc:CC="%{_target_cpu}-uclibc-gcc"} \
	ac_cv_lib_dl_dlopen=no \
	--with-ccopts="-Os" \
	--with-ldopts="-static" \
	--disable-elf-shlibs \
	--disable-selinux \
	--disable-nls

%{__make} -j1 libs
%{__make} progs
mv -f misc/blkid initrd-blkid
%{__make} clean
%endif

%configure \
	--with-root-prefix="" \
	%{!?with_nls:--disable-nls} \
	%{!?with_allstatic:--enable-elf-shlibs} \
	--enable-blkid-devmapper \
	--enable-compression \
	--enable-htree \
	%{!?with_static:--enable-dynamic-e2fsck} \
	--enable-fsck \
	--disable-rpath

%{__make} -j1 libs \
	LDFLAGS="%{rpmldflags}"
%{__make} progs docs \
	LDFLAGS="%{rpmldflags}"

cd doc
makeinfo --no-split e2compr.texinfo

%install
rm -rf $RPM_BUILD_ROOT
export PATH=/sbin:$PATH

install -d $RPM_BUILD_ROOT/var/lib/libuuid

echo "install-shlibs:" >> intl/Makefile

%{__make} install install-libs \
	root_libdir=/%{_lib} \
	root_sbindir=/sbin \
	mkinstalldirs='install -d' \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf e2fsck $RPM_BUILD_ROOT/sbin/fsck.ext2
ln -sf e2fsck $RPM_BUILD_ROOT/sbin/fsck.ext3
ln -sf mke2fs $RPM_BUILD_ROOT/sbin/mkfs.ext2

install doc/e2compr.info $RPM_BUILD_ROOT%{_infodir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/e2fsck.conf

bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{mkfs,fsck}.ext[23].8*
echo '.so e2fsck.8' > $RPM_BUILD_ROOT%{_mandir}/man8/fsck.ext2.8
echo '.so e2fsck.8' > $RPM_BUILD_ROOT%{_mandir}/man8/fsck.ext3.8
echo '.so mke2fs.8' > $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.ext2.8
echo '.so mke2fs.8' > $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.ext3.8
# missing in non-english-man-pages tarball
echo '.so e2fsck.8' > $RPM_BUILD_ROOT%{_mandir}/hu/man8/fsck.ext3.8
echo '.so e2fsck.8' > $RPM_BUILD_ROOT%{_mandir}/it/man8/fsck.ext3.8
echo '.so mke2fs.8' > $RPM_BUILD_ROOT%{_mandir}/it/man8/mkfs.ext3.8
echo '.so e2fsck.8' > $RPM_BUILD_ROOT%{_mandir}/ko/man8/fsck.ext3.8
echo '.so mke2fs.8' > $RPM_BUILD_ROOT%{_mandir}/ko/man8/mkfs.ext3.8
echo '.so mke2fs.8' > $RPM_BUILD_ROOT%{_mandir}/pl/man8/mkfs.ext3.8

%if %{with nls}
[ "`file $RPM_BUILD_ROOT%{_datadir}/locale/it/LC_MESSAGES/e2fsprogs.mo |\
	sed -e 's/.*,//' -e 's/message.*//'`" -le 1 ] && rm -f $f
%find_lang %{name}
%endif

rm -f $RPM_BUILD_ROOT%{_mandir}/README.e2fsprogs-non-english-man-pages
touch $RPM_BUILD_ROOT%{_sysconfdir}/blkid.tab

%{?with_initrd:install initrd-blkid $RPM_BUILD_ROOT/sbin/initrd-blkid}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	-n libcom_err -p /sbin/ldconfig
%postun	-n libcom_err -p /sbin/ldconfig

%post	-n libuuid -p /sbin/ldconfig
%postun	-n libuuid -p /sbin/ldconfig

%pre	-n uuidd
if [ "$(getgid libuuid)" = "222" ]; then
	/usr/sbin/groupmod -n uuidd libuuid
fi
%groupadd -g 222 uuidd
if [ "$(id -u libuuid 2>/dev/null)" = "222" ]; then
	/usr/sbin/usermod -l uuidd libuuid
fi
%useradd -u 222 -r -d /var/lib/libuuid -s /bin/false -c "UUID generator helper daemon" -g uuidd uuidd

%postun	-n uuidd
if [ "$1" = "0" ]; then
	%userremove uuidd
	%groupremove uuidd
fi

%post	-n fsck -p /sbin/ldconfig
%postun	-n fsck -p /sbin/ldconfig

%files %{?with_nls:-f %{name}.lang}
%defattr(644,root,root,755)
# COPYING specifies license details for some parts of package
%doc COPYING README RELEASE-NOTES
%attr(755,root,root) /sbin/badblocks
%attr(755,root,root) /sbin/blkid
%attr(755,root,root) /sbin/debugfs
%attr(755,root,root) /sbin/dumpe2fs
%attr(755,root,root) /sbin/e2fsck
%attr(755,root,root) /sbin/e2image
%attr(755,root,root) /sbin/e2label
%attr(755,root,root) /sbin/e2undo
%attr(755,root,root) /sbin/findfs
%attr(755,root,root) /sbin/fsck.ext2
%attr(755,root,root) /sbin/fsck.ext3
%attr(755,root,root) /sbin/fsck.ext4
%attr(755,root,root) /sbin/fsck.ext4dev
%attr(755,root,root) /sbin/logsave
%attr(755,root,root) /sbin/mke2fs
%attr(755,root,root) /sbin/mkfs.ext2
%attr(755,root,root) /sbin/mkfs.ext3
%attr(755,root,root) /sbin/mkfs.ext4
%attr(755,root,root) /sbin/mkfs.ext4dev
%attr(755,root,root) /sbin/resize2fs
%attr(755,root,root) /sbin/tune2fs
%attr(755,root,root) %{_bindir}/chattr
%attr(755,root,root) %{_bindir}/lsattr
%attr(755,root,root) %{_bindir}/mk_cmds
%attr(755,root,root) %{_sbindir}/filefrag
%attr(755,root,root) %{_sbindir}/e2freefrag
%attr(755,root,root) %{_sbindir}/mklost+found
%attr(755,root,root) %{_libdir}/e2initrd_helper
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/e2fsck.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mke2fs.conf
%ghost %{_sysconfdir}/blkid.tab
%{_mandir}/man1/chattr.1*
%{_mandir}/man1/lsattr.1*
%{_mandir}/man1/mk_cmds.1*
%{_mandir}/man5/e2fsck.conf.5*
%{_mandir}/man5/mke2fs.conf.5*
%{_mandir}/man8/badblocks.8*
%{_mandir}/man8/blkid.8*
%{_mandir}/man8/debugfs.8*
%{_mandir}/man8/dumpe2fs.8*
%{_mandir}/man8/e2freefrag.8*
%{_mandir}/man8/e2fsck.8*
%{_mandir}/man8/e2image.8*
%{_mandir}/man8/e2label.8*
%{_mandir}/man8/e2undo.8*
%{_mandir}/man8/filefrag.8*
%{_mandir}/man8/findfs.8*
%{_mandir}/man8/fsck.ext2.8*
%{_mandir}/man8/fsck.ext3.8*
%{_mandir}/man8/fsck.ext4.8*
%{_mandir}/man8/fsck.ext4dev.8*
%{_mandir}/man8/logsave.8*
%{_mandir}/man8/mke2fs.8*
%{_mandir}/man8/mkfs.ext2.8*
%{_mandir}/man8/mkfs.ext3.8*
%{_mandir}/man8/mkfs.ext4.8*
%{_mandir}/man8/mkfs.ext4dev.8*
%{_mandir}/man8/mklost+found.8*
%{_mandir}/man8/resize2fs.8*
%{_mandir}/man8/tune2fs.8*
%lang(fi) %{_mandir}/fi/man1/chattr.1*
%lang(fi) %{_mandir}/fi/man1/lsattr.1*
%lang(fr) %{_mandir}/fr/man1/lsattr.1*
%lang(fr) %{_mandir}/fr/man8/badblocks.8*
%lang(fr) %{_mandir}/fr/man8/dumpe2fs.8*
%lang(fr) %{_mandir}/fr/man8/e2label.8*
%lang(fr) %{_mandir}/fr/man8/mklost+found.8*
%lang(hu) %{_mandir}/hu/man1/chattr.1*
%lang(hu) %{_mandir}/hu/man1/lsattr.1*
%lang(hu) %{_mandir}/hu/man8/dumpe2fs.8*
%lang(hu) %{_mandir}/hu/man8/e2fsck.8*
%lang(hu) %{_mandir}/hu/man8/fsck.ext2.8*
%lang(hu) %{_mandir}/hu/man8/fsck.ext3.8*
%lang(hu) %{_mandir}/hu/man8/tune2fs.8*
%lang(it) %{_mandir}/it/man1/chattr.1*
%lang(it) %{_mandir}/it/man1/lsattr.1*
%lang(it) %{_mandir}/it/man8/badblocks.8*
%lang(it) %{_mandir}/it/man8/debugfs.8*
%lang(it) %{_mandir}/it/man8/dumpe2fs.8*
%lang(it) %{_mandir}/it/man8/e2fsck.8*
%lang(it) %{_mandir}/it/man8/fsck.ext2.8*
%lang(it) %{_mandir}/it/man8/fsck.ext3.8*
%lang(it) %{_mandir}/it/man8/mke2fs.8*
%lang(it) %{_mandir}/it/man8/mkfs.ext2.8*
%lang(it) %{_mandir}/it/man8/mkfs.ext3.8*
%lang(it) %{_mandir}/it/man8/mklost+found.8*
%lang(it) %{_mandir}/it/man8/tune2fs.8*
%lang(ja) %{_mandir}/ja/man1/chattr.1*
%lang(ja) %{_mandir}/ja/man1/lsattr.1*
%lang(ja) %{_mandir}/ja/man8/badblocks.8*
%lang(ja) %{_mandir}/ja/man8/debugfs.8*
%lang(ja) %{_mandir}/ja/man8/dumpe2fs.8*
%lang(ja) %{_mandir}/ja/man8/e2fsck.8*
%lang(ja) %{_mandir}/ja/man8/e2image.8*
%lang(ja) %{_mandir}/ja/man8/e2label.8*
%lang(ja) %{_mandir}/ja/man8/findfs.8*
%lang(ja) %{_mandir}/ja/man8/fsck.ext2.8*
%lang(ja) %{_mandir}/ja/man8/fsck.ext3.8*
%lang(ja) %{_mandir}/ja/man8/mke2fs.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.ext2.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.ext3.8*
%lang(ja) %{_mandir}/ja/man8/mklost+found.8*
%lang(ja) %{_mandir}/ja/man8/resize2fs.8*
%lang(ja) %{_mandir}/ja/man8/tune2fs.8*
%lang(ko) %{_mandir}/ko/man1/chattr.1*
%lang(ko) %{_mandir}/ko/man1/lsattr.1*
%lang(ko) %{_mandir}/ko/man8/badblocks.8*
%lang(ko) %{_mandir}/ko/man8/debugfs.8*
%lang(ko) %{_mandir}/ko/man8/dumpe2fs.8*
%lang(ko) %{_mandir}/ko/man8/e2fsck.8*
%lang(ko) %{_mandir}/ko/man8/fsck.ext2.8*
%lang(ko) %{_mandir}/ko/man8/fsck.ext3.8*
%lang(ko) %{_mandir}/ko/man8/mke2fs.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.ext2.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.ext3.8*
%lang(ko) %{_mandir}/ko/man8/mklost+found.8*
%lang(ko) %{_mandir}/ko/man8/tune2fs.8*
%lang(pl) %{_mandir}/pl/man1/chattr.1*
%lang(pl) %{_mandir}/pl/man1/lsattr.1*
%lang(pl) %{_mandir}/pl/man8/badblocks.8*
%lang(pl) %{_mandir}/pl/man8/debugfs.8*
%lang(pl) %{_mandir}/pl/man8/dumpe2fs.8*
%lang(pl) %{_mandir}/pl/man8/e2fsck.8*
%lang(pl) %{_mandir}/pl/man8/e2label.8*
%lang(pl) %{_mandir}/pl/man8/fsck.ext2.8*
%lang(pl) %{_mandir}/pl/man8/fsck.ext3.8*
%lang(pl) %{_mandir}/pl/man8/mke2fs.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.ext2.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.ext3.8*
%lang(pl) %{_mandir}/pl/man8/mklost+found.8*
%lang(pl) %{_mandir}/pl/man8/tune2fs.8*
%{_datadir}/ss
%{_infodir}/e2compr.info*

%files libs
%defattr(644,root,root,755)
%if %{without allstatic}
%attr(755,root,root) /%{_lib}/libblkid.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libblkid.so.1
%attr(755,root,root) /%{_lib}/libe2p.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libe2p.so.2
%attr(755,root,root) /%{_lib}/libext2fs.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libext2fs.so.2
%attr(755,root,root) /%{_lib}/libss.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libss.so.2
%endif

%files devel
%defattr(644,root,root,755)
%doc doc/libblkid.txt
%if %{without allstatic}
%attr(755,root,root) %{_libdir}/libblkid.so
%attr(755,root,root) %{_libdir}/libe2p.so
%attr(755,root,root) %{_libdir}/libext2fs.so
%attr(755,root,root) %{_libdir}/libss.so
%endif
%{_includedir}/blkid
%{_includedir}/e2p
%{_includedir}/ext2fs
%{_includedir}/ss
%{_pkgconfigdir}/blkid.pc
%{_pkgconfigdir}/e2p.pc
%{_pkgconfigdir}/ext2fs.pc
%{_pkgconfigdir}/ss.pc
%{_infodir}/libext2fs.info*
%{_mandir}/man3/libblkid.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libblkid.a
%{_libdir}/libe2p.a
%{_libdir}/libext2fs.a
%{_libdir}/libss.a

%files -n libcom_err
%defattr(644,root,root,755)
%if %{without allstatic}
%attr(755,root,root) /%{_lib}/libcom_err.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libcom_err.so.2
%endif

%files -n libcom_err-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/compile_et
%{!?with_allstatic:%attr(755,root,root) %{_libdir}/libcom_err.so}
%{_includedir}/et
%{_datadir}/et
%{_pkgconfigdir}/com_err.pc
%{_mandir}/man1/compile_et.1*
%lang(ja) %{_mandir}/ja/man1/compile_et.1*
%{_mandir}/man3/com_err.3*
%lang(ja) %{_mandir}/ja/man3/com_err.3*

%files -n libcom_err-static
%defattr(644,root,root,755)
%{_libdir}/libcom_err.a

%files -n libuuid
%defattr(644,root,root,755)
%doc lib/uuid/COPYING
%attr(755,root,root) %{_bindir}/uuidgen
%if %{without allstatic}
%attr(755,root,root) /%{_lib}/libuuid.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libuuid.so.1
%endif
%{_mandir}/man1/uuidgen.1*
%lang(ja) %{_mandir}/ja/man1/uuidgen.1*

%files -n libuuid-devel
%defattr(644,root,root,755)
%{!?with_allstatic:%attr(755,root,root) %{_libdir}/libuuid.so}
%{_includedir}/uuid
%{_pkgconfigdir}/uuid.pc
%{_mandir}/man3/uuid*.3*
%lang(ja) %{_mandir}/ja/man3/libuuid.3*
%lang(ja) %{_mandir}/ja/man3/uuid_*.3*

%files -n libuuid-static
%defattr(644,root,root,755)
%{_libdir}/libuuid.a

%files -n uuidd
%defattr(644,root,root,755)
%attr(2775,uuidd,uuidd) /var/lib/libuuid
%attr(6755,uuidd,uuidd) %{_sbindir}/uuidd
%{_mandir}/man8/uuidd.8*

%files -n fsck
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/fsck
%{_mandir}/man8/fsck.8*
%lang(it) %{_mandir}/it/man8/fsck.8*
%lang(ja) %{_mandir}/ja/man8/fsck.8*
%lang(ko) %{_mandir}/ko/man8/fsck.8*
%lang(pl) %{_mandir}/pl/man8/fsck.8*

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/initrd-blkid
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: e2fsprogs.spec,v $
Revision 1.170.2.8  2009/10/30 16:15:04  sparky
- updated to 1.41.9

Revision 1.170.2.7  2008/04/30 06:27:04  glen
- conflict version before split; rel 6

Revision 1.170.2.6  2008-04-29 21:22:11  glen
- separate -libs to kill main pkg dep from -devel; rel 5

Revision 1.170.2.5  2008-04-03 15:24:18  glen
- release 4

Revision 1.170.2.4  2008-03-12 00:47:29  glen
- fix conflicts for uuidd; rel 3

Revision 1.170.2.3  2008-03-09 23:12:11  undefine
- just don't use uClibc on alpha/ppc. build static with glibc is enough

Revision 1.170.2.2  2008-02-29 15:07:36  glen
- merge UDF label support from older HEAD; rel 2

Revision 1.170.2.1  2008-02-29 15:05:34  glen
- merge uuidd split and deps fixes from HEAD

Revision 1.170  2008-01-10 23:36:53  qboosh
- bugfixes for previous commit
- moved uuidd(8) man page to proper package
- use straight utils and man pages lists instead of excludes (fixes some duplicates)

Revision 1.169  2008-01-10 21:42:07  qboosh
- proper suid for uuidd instead of root
  (now libuuid:libuuid ids are used for something)
- ghost soname symlinks

Revision 1.168  2008-01-07 08:08:27  arekm
- up to 1.40.4 (pl.po update merged; new uuidd daemon)

Revision 1.167  2008-01-03 18:40:04  undefine
- build static version blkid, using uClibc - for allow detect root=label and
  root=uuid by our initrd

Revision 1.166  2008-01-03 10:45:05  glen
- rel 2

Revision 1.165  2007-12-14 19:56:19  qboosh
- updated to 1.40.3 (fixes CVE-2007-5497)
- added pl.po-update patch

Revision 1.164  2007-08-28 20:35:44  glen
- rel 2

Revision 1.163  2007/07/16 20:03:05  qboosh
- updated to 1.40.2
- removed obsolete pl.po-update patch

Revision 1.162  2007/07/09 20:23:33  qboosh
- updated to 1.40.1
- added pl.po-update patch

Revision 1.161  2007/07/02 21:04:39  arekm
- rel 2; fix lib64 build

Revision 1.160  2007/07/02 17:47:47  qboosh
- updated to 1.40, removed obsolete libblkid-leak-fixes patch
- some license clarifications, added libuuid COPYING (BSD)

Revision 1.159  2007/03/19 14:52:52  baggins
- rel 5
- fixed memory leaks in libblkid

Revision 1.158  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.157  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.156  2007/01/27 23:05:28  arekm
- rel 4

Revision 1.155  2007/01/07 14:09:04  arekm
- rel 3; package all symlinks

Revision 1.154  2006/11/13 14:54:48  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.153  2006/10/20 18:19:51  glen
- package /etc/blkid.tab

Revision 1.152  2006/09/05 16:48:21  sparky
- fix build on smp

Revision 1.151  2006/08/26 21:24:26  glen
- call make once when possible
- mkinstalldirs hackfix
- check-files cleanup

Revision 1.150  2006/08/25 19:26:06  qboosh
- fsck needs ldconfig (for libblkid.so.1); release 2

Revision 1.149  2006/07/29 22:54:00  sparky
- very stupid MKINSTALLDIRS hack for new autoconf

Revision 1.148  2006/06/11 17:10:38  sparky
- fix non-static build

Revision 1.147  2006/06/07 20:00:46  qboosh
- updated to 1.39, removed obsolete ea-segfault patch
- enabled device-mapper support

Revision 1.146  2005/12/12 22:58:13  arekm
- rel 2; [BUGFIX]: E2fsck will segfault on disconnected inode with extended attribute(s)

Revision 1.145  2005/07/02 18:57:48  qboosh
- updated to 1.38, removed obsolete pl.po-update patch

Revision 1.144  2005/04/28 18:46:22  qboosh
- add non-english man links too

Revision 1.143  2005/04/27 18:29:59  glen
- cleanup (unknown $a variable use discarded)

Revision 1.142  2005/03/23 23:39:18  qboosh
- updated to 1.37, updated pl.po-update patch

Revision 1.141  2005/03/21 18:30:46  mmazur
- rel 2 for th

Revision 1.140  2005/02/07 22:47:12  qboosh
- updated to 1.36, updated pl.po-update patch, removed obsolete nostrip patch
- obsolete evms 1.1 module has been removed

Revision 1.139  2004/10/29 16:14:18  wolf
- rel 5

Revision 1.138  2004/10/28 15:22:17  wolf
- rel 4 to rebuild w/o stupid rpm dependencies

Revision 1.137  2004/10/26 16:09:05  qboosh
- fsck R: libuuid, base R: fsck (libblkid)

Revision 1.136  2004/10/26 15:12:51  wolf
- move fsck to fsck package
- rel 3

Revision 1.135  2004/08/06 19:22:29  ankry
- rel. 2

Revision 1.134  2004/06/05 22:01:29  arekm
- fsck.nfs moved to nfs-utils

Revision 1.133  2004/06/05 21:58:33  arekm
- fsck.nfs added

Revision 1.132  2004/02/29 19:53:22  qboosh
- updated to 1.35 (important when using SELinux on big-endians)
- removed obsolete et-fixes,no-empty-gettext,scsi_major patches and pl.po
- added pl.po-update patch
- removed outdated URL from Source1

Revision 1.131  2004/02/26 17:51:03  pluto
- strict deps.

Revision 1.130  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.129  2004/02/10 09:58:53  qboosh
- typo, fixed static bcond (dynamic e2fsck was built)

Revision 1.128  2004/02/01 23:29:29  eothane
- bconds, cosmetics

Revision 1.127  2004/01/06 08:14:15  jajcus
- config.sub updated

Revision 1.126  2004/01/02 16:20:01  jajcus
- Release: 7 (STBR after AMD64 fixes)

Revision 1.125  2003/12/19 00:30:33  jajcus
- patch added to compile with kernel headers without SCSI_DISK_MAJOR
- use %{_lib} instead of /lib

Revision 1.124  2003/12/04 12:29:53  qboosh
- it needs gettext 0.11 at least (with LIBINTL)

Revision 1.123  2003/11/13 22:30:04  qboosh
- updated pl.po to official version
- added no-empty-gettext patch (don't try to print empty message through
  gettext - it resulted in dumping of .po header; reported by blues)
- release 6

Revision 1.122  2003/10/09 19:32:19  qboosh
- oops, moved uuidgen(1) manuals to proper package

Revision 1.121  2003/10/09 09:24:37  qboosh
- added Conflicts: e2fsprogs-* before split to lib*

Revision 1.120  2003/10/09 09:21:05  qboosh
- some post-split cleanups (descriptions, dependencies, missing %lang)
- moved genuuid utility to libuuid

Revision 1.119  2003/10/09 00:38:07  wiget
- more fixes to compile_et (support error_table foo bar)
- release 5

Revision 1.118  2003/10/08 23:04:42  wiget
- (compile_et) fix generating files with empty error prefix
- release 4

Revision 1.117  2003/10/08 22:20:46  arekm
- separated libcom_err and libuuid into subpackages

Revision 1.116  2003/09/07 21:56:44  ankry
- typo in %if

Revision 1.115  2003/09/07 21:31:12  ankry
- remove empty translation file

Revision 1.114  2003/08/25 09:38:08  mmazur
- rel2 for ac

Revision 1.113  2003/08/08 19:50:26  qboosh
- updated pl.po

Revision 1.112  2003/08/02 20:37:35  arekm
- updated to 1.34

Revision 1.111  2003/06/27 12:45:48  gotar
- s#//#/# - '//' symlinks are worse to find

Revision 1.110  2003/05/30 11:56:24  qboosh
- merged lost change:
  Revision 1.107  2003/05/24 11:34:39  qboosh
  - fixed some bitmap-related messages in pl.po; release 3

Revision 1.109  2003/05/28 12:58:52  malekith
- massive attack: source-md5

Revision 1.108  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.107  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.106  2003/04/26 21:13:21  qboosh
- less time-consuming version of missing-nls patch (suggested by tytso)
- updated and polished pl.po
- added potfiles-update patch (make update-po didn't work)
- moved non-devel docs to base package

Revision 1.105  2003/04/22 06:43:18  kloczek
- updated to 1.33: bug fixes,
- gnostrip patch from RH (for better %{debug} support).

Revision 1.104  2003/03/02 18:28:13  juandon
- spec is parallel make friendly now

Revision 1.103  2003/02/19 09:32:29  qboosh
- added evms subpackage; release 3

Revision 1.102  2002/11/21 18:17:28  mmazur
- new gettextize macro is sufficient

Revision 1.101  2002/11/12 18:30:37  qboosh
- updated pl.po
- added missing-nls patch (one missing gettext call caused many funny messages)
- release 2

Revision 1.100  2002/11/11 12:51:29  kloczek
- updated to 1.32: many bug fixes,
- removed outdated patches,
- remove po/de.po and rename po/de-utf.po to po/de.po (gettext internaly handles
  encodings so this like duplicated files)..

Revision 1.99  2002/10/27 13:31:14  qboosh
- added pl.po, updated po patch; release 3

Revision 1.98  2002/10/24 00:16:57  ankry
- sync with PTM/JM; rel. 2

Revision 1.97  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.96  2002/09/24 16:51:14  kloczek
- updated to 1.29: fixed a bug in e2fsck which could corrupt a directory
  when optimizing it (via the -D option); few other minor fixes and
  updates/enhancments.

Revision 1.95  2002/09/01 14:01:34  kloczek
- updated to 1.28: bugfixes,
- removed rlimit-workaround outdated patch.

Revision 1.94  2002/06/23 20:52:49  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.93  2002/05/21 23:12:57  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
       s/^autoconf/\%\{__autoconf\}/"

Revision 1.92  2002/05/20 22:43:02  ankry
- remove empty (it) and example (nyc) translation files from build
  (e2fsprogs-po.patch)
- merge translations fom RH73
- s/E2fsprogs/e2fsprogs/g
- adapterized
- release 7

Revision 1.91  2002/04/25 16:14:06  arturs
- fixed a small typo

Revision 1.90  2002/04/13 06:23:09  kloczek
- release 6: merge manpage patch from rawhide.

Revision 1.89  2002/04/12 16:06:14  qboosh
- rlimit-workaround patch: temporarily disabled setting file size limit to
  RLIM_INFINITY - this causes more problems than not doing it
  (when used with glibc compiled on kernel 2.2 headers, mkfs/e2fsck/etc
  won't be able to access >2GB on block device on unpatched 2.4.10+ kernel -
  even if no file size limit was set!)
- release 5

Revision 1.88  2002/04/08 21:28:21  ankry
- replaced duplicated man-pages by redirections
- updated non-English man pages (pl/e2fsck, redirections)
- release 4

Revision 1.87  2002/04/06 02:01:54  ankry
- updated more pl man-pages; release 3

Revision 1.86  2002/04/04 09:08:46  ankry
- updated non-english-man-pages (ja,pl); release 2

Revision 1.85  2002/03/20 20:46:49  filon
- updated to 1.27 (tons of bugfixes from 1.25...)

Revision 1.84  2002/03/10 09:34:17  kloczek
- added libext2fs2-devel to Obsoletes for devel subpackage,
- merge translations from KSI and Conectiva.

Revision 1.83  2002/03/10 08:46:33  marcus
- rel.5.
- addedd Obsoletes: libext2fs2 for upgrading from mdk

Revision 1.82  2002/03/08 15:59:58  malekith
- --disable-fsck was there by accident, thnx wiget ;)

Revision 1.81  2002/03/08 15:53:38  malekith
- br: texinfo
- added --without nls, --with allstatic bconds

Revision 1.80  2002/03/05 18:02:44  marcus
- removed uclibc stuff
- rel.4.

Revision 1.79  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.78  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.77  2002/02/19 18:53:33  gotar
- %desc

Revision 1.76  2002/02/02 20:01:10  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.75  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.74  2002/01/22 12:53:09  malekith
- rel 3
- links against uClibc, generate .a libraries for it
- BOOT -> embed

Revision 1.73  2002/01/18 02:12:46  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.72  2001/11/17 08:41:11  ankry
- added fi, fr, hu, it, ja, ko, pl man pages
- release 2

Revision 1.71  2001/10/01 23:38:04  kloczek
- updated to 1.25 and removed obsoleted ac250 patch.

Revision 1.70  2001/09/24 10:25:06  klakier
- ... and more typos

Revision 1.69  2001/09/24 10:23:50  klakier
- more typos

Revision 1.68  2001/09/24 10:22:42  klakier
- typo

Revision 1.67  2001/08/06 14:13:44  kloczek
- relase 4: merge mountlabel3 rawhide patch.

Revision 1.66  2001/08/04 17:39:21  qboosh
- e2compr-info patch
- ac250 fix
- release 2

Revision 1.65  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.63  2001/06/24 08:50:34  misiek
- updated to 1.22
- properly rebuild autostuff including gettext
- added internationalization files

Revision 1.62  2001/06/17 17:58:22  kloczek
- release 2: fixed info patch - removed double @dircategory entry.

Revision 1.61  2001/06/17 14:47:05  kloczek
- fixed %package BOOT header.

Revision 1.60  2001/06/17 11:28:22  misiek
- updated to 1.21

Revision 1.59  2001/06/08 13:53:47  klakier
- typo

Revision 1.58  2001/06/04 04:34:51  misiek
- removed obsolete patches
- updated to 1.20
- fix BOOT compilation on != x86 machines

Revision 1.57  2001/06/03 23:22:15  klakier
- glibc-static required if BOOT

Revision 1.56  2001/05/22 23:18:14  klakier
- added -m386 to BOOT

Revision 1.55  2001/05/22 09:06:16  wiget
- switch to new conditional builds macros
  (bcond_on_ -> _with_/bcond_off_ -> _without_);
  no release changes only simple s/// performed

Revision 1.54  2001/05/17 22:57:24  klakier
- fixed building of BOOT package (no 'ld' loop)

Revision 1.53  2001/05/16 15:17:32  klakier
- finished BOOT package

Revision 1.52  2001/05/14 01:08:50  klakier
- BOOT mostly finished

Revision 1.51  2001/05/14 00:02:50  klakier
- added BOOT, to be continued ...

Revision 1.50  2001/05/09 19:24:19  misiek
- added ACL support
- THIS RELEASE IS FOR TESTING ONLY
- release 2

Revision 1.49  2000/12/28 14:57:42  baggins
- added conditional shared build (define _without_static for it)

Revision 1.48  2000/12/10 16:22:08  kloczek
- merge rawhide mountlabel patch.

Revision 1.47  2000/10/25 20:47:40  misiek
- readded clean

Revision 1.46  2000/10/25 18:39:25  misiek
- updated to 1.19 and adapterized

Revision 1.45  2000/06/09 07:22:49  kloczek
- added using %{__make} macro.

Revision 1.44  2000/06/07 06:04:27  wiget
- Release:6

Revision 1.43  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.42  2000/05/18 18:08:17  kloczek
- spec adapterized.

Revision 1.41  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.40  2000/04/11 14:25:44  wiget
- added e2compr patch
- added DESTDIR patch
- more PreReq
- added manuals pages for devel

Revision 1.39  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.38  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.37  2000/02/04 22:52:07  kloczek
- release 2,
- spec adapterized,
- simpler way of installing man pages.

Revision 1.36  2000/01/17 09:39:04  waszi
- fixed symlinks

Revision 1.35  1999/11/11 18:23:26  kloczek
- updated to 1.18,
- removed dump patch which is integrated in current source.

Revision 1.34  1999/11/09 04:48:06  kloczek
- release2,
- added dump patch which fix core dumping by fsck in some situation.

Revision 1.33  1999/10/27 02:05:54  kloczek
- updated to 1.17.

Revision 1.32  1999/10/26 11:05:56  kloczek
- updated to 1.16,
- new en and pl Summary and %description.

Revision 1.31  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.30  1999/09/19 09:14:08  pius
- Prereq: /sbin/install-info -> Prereq: /usr/sbin/fix-info-dir

Revision 1.29  1999/09/19 09:05:39  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.28  1999/07/22 23:01:44  kloczek
- update to 1.15,
- removed fsck, findsuper and LABEL patches (now included in oficial 1.15).

Revision 1.27  1999/07/13 13:40:39  misiek
- support for LABEL
